--- title: "Manage Custom File Types" slug: "manage-custom-file-types" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/manage-custom-file-types" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Manage Custom File Types This URL provides the supported file types/formats to be scanned. ## Resource URL PUT /domain//filereputation/filetypes ## Request Parameters: URL parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | Payload parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | fileStatus | List of file formats and their status | ObjectList | Yes | Details of fileStatus: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | fileType | List of file formats and their status | Object | No | Details of fileType: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | fileFormat | File format | String | Yes | | enabled | File format status, default is true | Boolean | No | ## Response Parameters | Field Name | Description | Data Type | | --- | --- | --- | | status | Status returned by updation | Number | ## Example **Request** PUT[https://%3CNSM_IP%3E/sdkapi/domain/0/filereputation/filetypes](https://%3CNSM_IP%3E/sdkapi/domain/0/filereputation/filetypes) Payload: ``` {       "fileStatus":       [           {               "fileFormat": "apk",               "enabled": true           },           {               "fileFormat": "cpl",               "enabled": true           },           {               "fileFormat": "doc",               "enabled": false           },           {               "fileFormat": "docx",               "enabled": false           },           {               "fileFormat": "drv",               "enabled": false           },           {               "fileFormat": "exe",               "enabled": false           },           {               "fileFormat": "ocx",               "enabled": false           },           {               "fileFormat": "pdf",               "enabled": false           },           {               "fileFormat": "ppt",               "enabled": false           },           {               "fileFormat": "pptx",               "enabled": false           },           {               "fileFormat": "scr",               "enabled": false           },           {               "fileFormat": "sys",               "enabled": false           },           {               "fileFormat": "xls",               "enabled": false           },           {               "fileFormat": "xlsx",               "enabled": false           }       ]    } ``` **Response** ``` { "status":1 } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1101 | Internal error | | 2 | 404 | 1105 | Invalid domain | | 3 | 404 | 1105 | Invalid domain: This operation is only allowed for root domain | | 4 | 400 | 7001 | File format is not valid |